Re: [htdig] 3.1.3 engine on 3.1.5 db


Subject: Re: [htdig] 3.1.3 engine on 3.1.5 db
From: Dave Salisbury (salisbur@fsl.noaa.gov)
Date: Thu Jan 11 2001 - 15:38:02 PST


Thanks for the reply..

> If
> you created your database with htdig 3.1.5, and want to search it with
> htsearch 3.1.3, that's a bad idea. The most glaring bug in releases
> before 3.1.5 is in htsearch, so you really should upgrade it.

I take it one of the worst things is the security hole which allows
a user to view any file with read permissions ( ouch! )

Is there any way to correct for this with a wrapper around htsearch?
Reading the indices using 3.1.3 that were created by a 3.1.5 engine
seems to work just fine.

Anyone out there want to bash Glimpse before I look into it.
I'm hoping to get it at least to compile on an SGI.

Thank for any info.

Dave

> On the other hand, if you have an existing database built with version
> 3.1.3, and want to use it with the latest htsearch, that should work
> without any difficulty. However, you'll lose out on several benefits
> in the latest htdig (better parsing of meta tags, parsing img alt text,
> fixed parsing of URL parameters, etc.),

Couldn't find what "fixed parsing of URL parameters" means.
The query string is part of what's indexed??

> which you'll only get if you
> reindex with htdig 3.1.5. Maybe none of these matter for your site,
> though. See the release notes and ChangeLog for details.

I don't think they're essential.

DS

------------------------------------
To unsubscribe from the htdig mailing list, send a message to
htdig-unsubscribe@htdig.org
You will receive a message to confirm this.
List archives: <http://www.htdig.org/mail/menu.html>
FAQ: <http://www.htdig.org/FAQ.html>



This archive was generated by hypermail 2b28 : Thu Jan 11 2001 - 15:52:00 PST